use detector::errors::*;
fn main() -> Result<()> {
    // Initialize logging
    tracing_subscriber::fmt()
        .with_env_filter("info")
        // .with_thread_ids(true)
        // .with_file(true)
        // .with_thread_names(true)
        .with_target(true)
        .init();

    // Run the GUI
    if let Err(e) = detector::gui::run() {
        eprintln!("GUI error: {}", e);
        std::process::exit(1);
    }

    Ok(())
}
